#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"

namespace morpheo {
namespace behavioural {
namespace generic {
namespace registerfile_multi_banked {


  string RegisterFile_Multi_Banked::statistics (uint32_t depth)
  {
    log_printf(FUNC,RegisterFile_Multi_Banked,"statistics","Begin");

    string txt = _stat->print(depth);
    
    log_printf(FUNC,RegisterFile_Multi_Banked,"statistics","End");

    return txt;
  };

}; // end namespace registerfile_multi_banked
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
